> ## Documentation Index
> Fetch the complete documentation index at: https://docs.polynode.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Trader PnL Series

> PnL time series for a trader at multiple resolutions.

Returns a time series of cumulative PnL values for a trader.

<ParamField path="wallet" type="string" required>
  Ethereum wallet address.
</ParamField>

<ParamField query="period" type="string" default="1M">
  Resolution. One of: `1D` (hourly points), `1W` (\~57 points), `1M` (\~41 points), `ALL` (\~223 points).
</ParamField>

<ResponseExample>
  ```json theme={null}
  {
    "wallet": "0xc2e7800b5af46e6093872b177b7a5e7f0563be51",
    "period": "1W",
    "series": [
      { "timestamp": 1773511200, "pnl": 1391835.20 },
      { "timestamp": 1773522000, "pnl": 3438215.00 },
      { "timestamp": 1773532800, "pnl": 3441273.50 }
    ],
    "count": 57
  }
  ```
</ResponseExample>


## OpenAPI

````yaml GET /v1/trader/{wallet}/pnl
openapi: 3.1.0
info:
  title: PolyNode API
  description: >-
    Real-time Polymarket data API with decoded mempool settlements, OHLCV
    candles, and full Polygon JSON-RPC proxy.
  contact:
    name: PolyNode
    url: https://polynode.dev
  license:
    name: ''
  version: 2.0.0
servers:
  - url: https://api.polynode.dev
    description: Production
security:
  - api_key: []
paths:
  /v1/trader/{wallet}/pnl:
    get:
      tags:
        - Enriched Data
      summary: Trader PnL series
      description: Cumulative PnL time series for a trader at multiple resolutions.
      operationId: trader_pnl
      parameters:
        - name: wallet
          in: path
          description: Ethereum wallet address
          required: true
          schema:
            type: string
        - name: period
          in: query
          description: Resolution
          schema:
            type: string
            enum:
              - 1D
              - 1W
              - 1M
              - ALL
            default: 1M
      responses:
        '200':
          description: PnL time series
          content:
            application/json:
              schema:
                type: object
              example:
                wallet: '0xc2e7800b5af46e6093872b177b7a5e7f0563be51'
                period: 1W
                series:
                  - timestamp: 1774029600
                    pnl: 3902767.2
                  - timestamp: 1774040400
                    pnl: 3902767.2
                  - timestamp: 1774051200
                    pnl: 3892129
                count: 57
        '401':
          description: Missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - api_key: []
components:
  schemas:
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: x-api-key

````